/// <reference types="express" />
import { Response } from '@loopback/rest';
import { CurrentContext } from './../../services/application.service';
import { HomePageService } from './home-page.service';
export declare class HomePageController {
    homePageService: HomePageService;
    constructor(homePageService: HomePageService);
    getAdminPage(response: Response, ctx: CurrentContext): Promise<Response>;
    getAdminPageBis(response: Response, ctx: CurrentContext): Promise<Response>;
    getLoadingPageOfSite(siteName: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getAdminPageSite(siteName: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getAdminPageSiteBis(siteName: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getFaviconSite(siteName: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getSitemapSite(response: Response, ctx: CurrentContext): Promise<Response>;
    getLoadingLangPageOfSite(siteName: string, lang: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getWebSitePageOfSiteResponse(siteName: string, lang: string, name: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getWebSitePopupOfSiteResponse(siteName: string, lang: string, name: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getLoadingPage(response: Response, ctx: CurrentContext): Promise<Response>;
    getFavicon(response: Response, ctx: CurrentContext): Promise<Response>;
    getSitemap(response: Response, ctx: CurrentContext): Promise<Response>;
    getLoadingLangPage(lang: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getWebSitePageResponse(lang: string, name: string, response: Response, ctx: CurrentContext): Promise<Response>;
    getWebSitePopupResponse(lang: string, name: string, response: Response, ctx: CurrentContext): Promise<Response>;
}
